Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class BorderLayout

    java.lang.Object
      charva.awt.BorderLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2

public class BorderLayout
extends java.lang.Object
implements LayoutManager2

A concrete implementation of LayoutManager that lays out its components around its edges. The components are laid out according to their preferred sizes and the constraints of the container's size. The NORTH and SOUTH components may be stretched horizontally; the WEST and EAST components may be stretched vertically; the CENTER component may stretch both horiz- ontally and vertically to fill any space left over.

Field Summary
`static java.lang.String` | `CENTER`
`static java.lang.String` | `EAST`
`static java.lang.String` | `NORTH`
`static java.lang.String` | `SOUTH`
`static java.lang.String` | `WEST`

Constructor Summary
`BorderLayout()`

Method Summary
`void` | `addLayoutComponent(Component component_, java.lang.Object constraint_)`
`void` | `doLayout(Container container_)` This is called when the size of the container has already been set.
`void` | `invalidateLayout(Container target_)` Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.
`Dimension` | `minimumSize(Container container_)` Calculate the minimum-size rectangle that can enclose all the components in the given container.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORTH

    public static final java.lang.String NORTH

See Also:
  Constant Field Values

### SOUTH

    public static final java.lang.String SOUTH

See Also:
  Constant Field Values

### EAST

    public static final java.lang.String EAST

See Also:
  Constant Field Values

### WEST

    public static final java.lang.String WEST

See Also:
  Constant Field Values

### CENTER

    public static final java.lang.String CENTER

See Also:
  Constant Field Values

Constructor Detail

### BorderLayout

    public BorderLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(Component component_,
                                   java.lang.Object constraint_)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager2`

### minimumSize

    public Dimension minimumSize(Container container_)

  Calculate the minimum-size rectangle that can enclose all the components in the given container.

  Specified by:
    `minimumSize` in interface `LayoutManager`

### doLayout

    public void doLayout(Container container_)

  This is called when the size of the container has already been set. It just lays out the components according to the specified alignment, hgap and vgap.

  Specified by:
    `doLayout` in interface `LayoutManager`

### invalidateLayout

    public void invalidateLayout(Container target_)

  Invalidates the layout, indicating that if the layout manager has cached information it should be discarded.

  Specified by:
    `invalidateLayout` in interface `LayoutManager2`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD